/**
 * Test case for create.
 * Runs with mocha.
 */
"use strict";

const create = require('../lib/create.js'),
    freeport = require('freeport'),
    apemanApp = require('apeman-app'),
    assert = require('assert');

describe('create', () => {

    before((done) => {
        done();
    });

    after((done) => {
        done();
    });


    it('Create', (done) => {
        let app = create({});
        assert.ok(app);
        freeport((err, port) => {
            assert.ifError(err);
            apemanApp('testing-app', {
                configuration: {
                    $apps: {
                        'testing-app': {
                            '/': [
                                app
                            ]
                        }
                    }
                },
                port: port
            }, (err, server) => {
                let baseUrl = 'http://localhost:' + port + '/';
                assert.ifError(err);
                server.close();
                done();
            });
        });
    });
});

